---
- name: Cleanup downloaded hashes
  ansible.builtin.file:
    path: "/tmp/{{ item.name }}.{{ item.hash }}"
    state: absent
  with_items:
    - "{{ vm_templates }}"
  tags:
    - cloud_images

- name: Cleanup downloaded images
  ansible.builtin.file:
    path: "{{ download_path }}/{{ item.file }}"
    state: absent
  with_items:
    - "{{ vm_templates }}"
  tags:
    - cloud_images

- name: Cleanup Generated scripts
  ansible.builtin.file:
    path: "/tmp/{{ item.name }}.build.sh"
    state: absent
  with_items:
    - "{{ vm_templates }}"
  tags:
    - clean_scripts
